org.h2.command.ddl

## Class AlterSequence

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.AlterSequence

    public class AlterSequence
    extends SchemaCommand

This class represents the statement ALTER SEQUENCE.

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`AlterSequence(SessionLocal session, Schema schema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isTransactional()` Check if this command is transactional.
`void` `setColumn(Column column, java.lang.Boolean always)` Set the column
`void` `setIfExists(boolean b)`
`void` `setOptions(SequenceOptions options)`
`void` `setSequenceName(java.lang.String sequenceName)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterSequence

    public AlterSequence(SessionLocal session,
                         Schema schema)

### Method Detail

#### setIfExists

    public void setIfExists(boolean b)

#### setSequenceName

    public void setSequenceName(java.lang.String sequenceName)

#### setOptions

    public void setOptions(SequenceOptions options)

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Overrides:
  `isTransactional` in class `DefineCommand`
Returns:
  true if it is

#### setColumn

    public void setColumn(Column column,
                          java.lang.Boolean always)

Set the column

Parameters:
  `column` - the column
  `always` - whether value should be always generated, or null if "set generated is not specified

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### update

    public final long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count